<?php
    defined( 'ABSPATH' ) or die();
?>

<?php if (
        cosmecos_get_prefered_option('footer_sidebar_status') == 'on' &&
        !empty(cosmecos_get_prepared_option('footer_sidebar_select', '', 'footer_sidebar_status')) &&
        is_active_sidebar(cosmecos_get_prepared_option('footer_sidebar_select', '', 'footer_sidebar_status'))
    ) { ?>

        <!-- Footer Widgets -->
        <div class="footer-section">
            <div class="footer-row">
                <div class="footer-widgets">
                    <?php dynamic_sidebar(cosmecos_get_prepared_option('footer_sidebar_select', '', 'footer_sidebar_status')); ?>
                </div>
            </div>
        </div>

<?php } ?>

<?php if ( cosmecos_get_prefered_option('footer_menu_status') == 'on' ) { ?>

        <!-- Footer Menu -->
        <div class="footer-section">
            <div class="footer-row">
                <div class="footer-menu-container">
                    <nav>
                        <?php
                        if ( !empty(cosmecos_get_prefered_option('footer_menu_select')) && cosmecos_get_prefered_option('footer_menu_select') != 'default' ) {
                            wp_nav_menu(
                                array(
                                    'menu'          => cosmecos_get_prefered_option('footer_menu_select'),
                                    'menu_class'    => 'footer-menu',
                                    'depth'         => '1',
                                    'container'     => ''
                                )
                            );
                        } else {
                            wp_nav_menu(
                                array(
                                    'theme_location'    => 'footer_menu',
                                    'menu_class'        => 'footer-menu',
                                    'depth'             => '1',
                                    'container'         => ''
                                )
                            );
                        } ?>
                    </nav>
                </div>
            </div>
        </div>

<?php } ?>

<?php if (
        cosmecos_get_prefered_option('footer_copyright_status') == 'on' ||
        cosmecos_get_prefered_option('footer_additional_menu_status') == 'on' ||
        cosmecos_get_prefered_option('footer_socials_status') == 'on'
) { ?>
    <!-- Footer Info -->
        <div class="footer-section">
            <div class="footer-columns-row">
                <?php
                    // Copyrights
                    if (
                        cosmecos_get_prefered_option('footer_copyright_status') == 'on' &&
                        !empty(cosmecos_get_prefered_option('footer_copyright_text'))
                    ) {
                        echo '<div class="footer-column footer-copyrights-container">';
                            echo esc_html(cosmecos_get_prefered_option('footer_copyright_text'));
                        echo '</div>';
                    }

                    // Footer Additional Menu
                    if ( cosmecos_get_prefered_option('footer_additional_menu_status') == 'on' ) {
                        echo '<div class="footer-column footer-additional-menu-container">';
                            echo '<nav>';
                                if ( !empty(cosmecos_get_prefered_option('footer_additional_menu_select')) && cosmecos_get_prefered_option('footer_additional_menu_select') != 'default' ) {
                                    wp_nav_menu(
                                        array(
                                            'menu'          => cosmecos_get_prefered_option('footer_additional_menu_select'),
                                            'menu_class'    => 'footer-additional-menu',
                                            'depth'         => '1',
                                            'container'     => ''
                                        )
                                    );
                                } else {
                                    wp_nav_menu(
                                        array(
                                            'theme_location'    => 'footer_add_menu',
                                            'menu_class'        => 'footer-additional-menu',
                                            'depth'             => '1',
                                            'container'         => ''
                                        )
                                    );
                                }
                            echo '</nav>';
                        echo '</div>';
                    }

                    // Social Buttons
                    if ( cosmecos_get_prefered_option('footer_socials_status') == 'on' ) {
                        echo '<div class="footer-column footer-socials-container">';
                            echo cosmecos_socials_output('footer-socials wrapper-socials');
                        echo '</div>';
                    }
                ?>
            </div>
        </div>
<?php } ?>